PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_RowIterator

Source Location: /PHPExcel/Worksheet/RowIterator.php

### Class Overview

PHPExcel_Worksheet_RowIterator

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- Iterator (internal interface)

### Methods

- __construct
- __destruct
- current
- key
- next
- prev
- resetStart
- rewind
- seek
- valid

### Class Details

[line 38]
PHPExcel_Worksheet_RowIterator

Used to iterate rows in a PHPExcel_Worksheet

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 68]

`PHPExcel_Worksheet_RowIterator __construct( [PHPExcel_Worksheet $subject = null], [integer $startRow = 1])`

Create a new row iterator

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $subject | The worksheet to iterate over
integer | $startRow | The row number at which to start iterating

[ Top ]

### destructor __destruct [line 77]

`void __destruct( )`

Destructor

#### Tags:

access: | public

[ Top ]

### method current [line 112]

`PHPExcel_Worksheet_Row current( )`

Return the current row in this worksheet

#### Tags:

access: | public

Implementation of:

Iterator::current

[ Top ]

### method key [line 121]

`int key( )`

Return the current iterator key

#### Tags:

access: | public

Implementation of:

Iterator::key

[ Top ]

### method next [line 128]

`void next( )`

Set the iterator to its next value

#### Tags:

access: | public

Implementation of:

Iterator::next

[ Top ]

### method prev [line 135]

`void prev( )`

Set the iterator to its previous value

#### Tags:

access: | public

[ Top ]

### method resetStart [line 86]

`void resetStart( [integer $startRow = 1])`

(Re)Set the start row and the current row pointer

#### Tags:

access: | public

#### Parameters:

integer | $startRow | The row number at which to start iterating

[ Top ]

### method rewind [line 103]

`void rewind( )`

Rewind the iterator to the starting row

#### Tags:

access: | public

Implementation of:

Iterator::rewind

[ Top ]

### method seek [line 96]

`void seek( [integer $row = 1])`

Set the row pointer to the selected row

#### Tags:

access: | public

#### Parameters:

integer | $row | The row number to set the current pointer at

[ Top ]

### method valid [line 145]

`boolean valid( )`

Indicate if more rows exist in the worksheet

#### Tags:

access: | public

Implementation of:

Iterator::valid

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:36 +0200 by phpDocumentor 1.4.4